package com.pcloud.common.utils.pdf.po;

import com.pcloud.common.utils.pdf.enums.PdfAlignEnum;

/**
 * 
 * @author：songx
 * @date：2017年12月7日,下午4:02:41
 */
public class PdfTablePO extends PdfPO {

	/**
	 * 
	 */
	private static final long serialVersionUID = -3228342471964948078L;

	/**
	 * 列宽,默认100
	 */
	private float[] columnWidths;

	/**
	 * 列的内容
	 */
	private String[][] contents;

	/**
	 * 设置单元格高度，仅当表格的时候使用
	 */
	private float minimumHeight;
	
	public PdfTablePO(float[] columnWidths, String[][] contents, float minimumHeight, PdfAlignEnum pdfAlignEnum) {
		this.columnWidths = columnWidths;
		this.contents = contents;
		this.minimumHeight = minimumHeight;
		setPdfAlignEnum(pdfAlignEnum);
	}

	public float[] getColumnWidths() {
		return columnWidths;
	}

	public void setColumnWidths(float[] columnWidths) {
		this.columnWidths = columnWidths;
	}

	public String[][] getContents() {
		return contents;
	}

	public void setContents(String[][] contents) {
		this.contents = contents;
	}

	public float getMinimumHeight() {
		return minimumHeight;
	}

	public void setMinimumHeight(float minimumHeight) {
		this.minimumHeight = minimumHeight;
	}

}
